

REAL  FUNCTION MOCAAMACH(n)
	 USE NUMERICAL_LIBRARIES
	 INTEGER n
  
	 REAL RINFP

	! The AMACH function and UMACH subroutine are
	! declared in the numerical_libraries module

	 RINFP = AMACH(7)
	 MOCAAMACH = RINFP
  
 END


 REAL  FUNCTION MOCAJUNK(n)
	 USE NUMERICAL_LIBRARIES
	 INTEGER n
  
	 REAL RINFP

	! The AMACH function and UMACH subroutine are
	! declared in the numerical_libraries module

	 RINFP = AMACH(7)
	 MOCAAMACH = RINFP
  
 END
 


INTEGER(4) FUNCTION MNDAYS(IDAY, MONTH, IYEAR)
USE NUMERICAL_LIBRARIES
INTEGER IDAY, MONTH, IYEAR

INTEGER NUM

	NUM = NDAYS(IDAY, MONTH, IYEAR)
	MOCANDAYS = NUM
END

 
SUBROUTINE  MOCATRNRR(NRA, NCA, A, LDA, B)
INTEGER NRA, NCA, LDA
REAL      A(5,3)
INTEGER NRB, NCB,  LDB
REAL  B(3,5)
NRB = 3
NCB = 5
LDB = 3
	CALL TRNRR (NRA, NCA, A, LDA, NRB, NCB, B, LDB)


RETURN
END 



SUBROUTINE  MOCATRNRR2(NRA, NCA, A, AC, AR, LDA, B, BC, BR)
INTEGER NRA, NCA, LDA
INTEGER AR, AC
DIMENSION      A(AC,AR)
INTEGER NRB, NCB,  LDB
INTEGER BR, BC
DIMENSION  B(BR, BC)

NRB = 3
NCB = 5
LDB = 3
	
	!CALL TRNRR (NRA, NCA, A, LDA, NRB, NCB, B, LDB)


RETURN
END 

SUBROUTINE MOCAMULTIPLY(ROWS,  Z,  R);
INTEGER ROWS
REAL Z(*), R(*)
INTEGER I
I=0


  DO WHILE (I <= ROWS)
    I = I + 1
	R(I) = Z(I)*5
  END DO




RETURN
END 



CHARACTER*1  FUNCTION MOCAACHAR(i)
	 
USE NUMERICAL_LIBRARIES


INTEGER   i

	character *1 c
	c = ACHAR(i)
	MOCAACHAR = c

end